Loading...
Searching...
No Matches
cpe_vendor Struct Reference
CPE » CPE Dictionary

Structure with information about vendor. More...

`#include <cpe_dict.h>`

## Public Member Functions

OSCAP_API void | cpe_vendor_free (struct cpe_vendor *vendor)
OSCAP_API struct cpe_vendor * | cpe_vendor_new (void)
Getters
Return value is pointer to structure's member. Do not free unless you null the pointer in the structure. Use remove function otherwise.
OSCAP_API const char * | cpe_vendor_get_value (const struct cpe_vendor *item)
| cpe_vendor functions to get vendor value
OSCAP_API struct oscap_text_iterator * | cpe_vendor_get_titles (const struct cpe_vendor *item)
| cpe_vendor functions to get vendor titles
OSCAP_API struct cpe_product_iterator * | cpe_vendor_get_products (const struct cpe_vendor *item)
| cpe_vendor functions to get vendor products
Setters
For lists use add functions. Parameters of set functions are duplicated in memory and need to be freed by caller.
OSCAP_API bool | cpe_vendor_set_value (struct cpe_vendor *vendor, const char *new_value)
OSCAP_API bool | cpe_vendor_add_title (struct cpe_vendor *vendor, struct oscap_text *new_title)
OSCAP_API bool | cpe_vendor_add_product (struct cpe_vendor *vendor, struct cpe_product *new_product)

## Detailed Description

Structure with information about vendor.

The documentation for this struct was generated from the following file:

- cpe_dict.h